Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1718278 - dee fails to build in rawhide (Fedora 31)
Summary: dee fails to build in rawhide (Fedora 31)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dee
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS PYTHON38 1718302 1732841
TreeView+ depends on / blocked
 
Reported: 2019-06-07 11:59 UTC by Petr Viktorin (pviktori)
Modified: 2019-10-23 13:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-30 14:44:11 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Viktorin (pviktori) 2019-06-07 11:59:43 UTC
dee fails to build with Python 3.8.0b1.

Log of what seems to be the issue:

make[2]: Entering directory '/builddir/build/BUILD/dee-1.2.7/vapi'
/usr/bin/vapigen --pkg gio-2.0 --library dee-1.0 --metadatadir=. ../src/Dee-1.0.gir Dee-1.0-custom.vala
BUILDSTDERR: error: construct properties not supported for specified property type
BUILDSTDERR: error: construct properties not supported for specified property type
Generation failed: 2 error(s), 0 warning(s)


For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.8/fedora-rawhide-x86_64/00924534-dee/

For all our attempts to build dee with Python 3.8, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/package/dee/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.8:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Let us know here if you have any questions.

Comment 1 Lumír Balhar 2019-06-27 07:56:25 UTC
It seems that the error is the same with Python 3.7 (rawhide):

Making all in tools
make[2]: Entering directory '/builddir/build/BUILD/dee-1.2.7/tools'
gcc -DHAVE_CONFIG_H -I. -I..  -I.. -I../src -g -Wall -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/gio-unix-2.0 -pthread  -Werror -Wall -Wcast-align -Wno-uninitialized -Wempty-body -Wformat-security -Winit-self -Wno-error=deprecated-declarations   -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Wno-error=maybe-uninitialized -c dee-tool.c
BUILDSTDERR: /bin/sh ../libtool  --tag=CC   --mode=link gcc  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSerror: construct properties not supported for specified property type
BUILDSTDERR: error: construct properties not supported for specified property type
BUILDSTDERR: make[2]: *** [Makefile:549: dee-1.0.vapi] Error 1
BUILDSTDERR: make[1]: *** [Makefile:512: all-recursive] Error 1
BUILDSTDERR: make: *** [Makefile:417: all] Error 2
BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.ymawou (%build)

Full log: https://copr-be.cloud.fedoraproject.org/results/lbalhar/test.support_change/fedora-rawhide-x86_64/00945264-dee/build.log.gz

Comment 2 Adam Williamson 2019-07-10 14:50:15 UTC
Comparison with https://github.com/elementary/applications-menu/issues/210 suggests these may be related to the version of vala rather than Python...

Comment 3 Miro Hrončok 2019-07-10 14:51:53 UTC
Renamed. Still, it blocks the Python 3.8 rebuild.

Comment 4 Petr Viktorin (pviktori) 2019-07-30 14:44:11 UTC
It now builds in the Python 3.8 COPR!
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/build/978242/

Thanks!

Comment 5 Tom "spot" Callaway 2019-10-23 13:27:41 UTC
clearing needinfo.


Note You need to log in before you can comment on or make changes to this bug.